﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Senior_Capstone
{
    public partial class frmChooseAlgorithm : Form
    {
        private int vCount; //number of vertices
        private int sVertex; //starting vertex
        private string algorithm; //name of algorithm

        public frmChooseAlgorithm()
        {
            InitializeComponent();
        }

        //Accessor function for vertex count
        public int Count
        {
            set { vCount = value; }
            get { return vCount; }
        }

        //Accessor function for start vertex
        public int StartVertex
        {
            set { sVertex = value; }
            get { return sVertex; }
        }

        //Accessor function for name of algorithm
        public string Algorithm
        {
            set { algorithm = value; }
            get { return algorithm; }
        }

        //If OK button was clicked
        private void onOKClick(object sender, EventArgs e)
        {
            //Find which radio button is checked for name of algorithm
            foreach(Control rb in algorithmgb.Controls)
            {
                if (rb is RadioButton)
                {
                    RadioButton r = (RadioButton)rb;
                    if (r.Checked)
                    {
                        algorithm = r.Name;
                        break;
                    }
                }
            }
            sVertex = (int)numericUpDown1.Value; //set start vertex to value in numeric up-down
            DialogResult = DialogResult.OK; //set dialog result to OK
            Close(); //close form
        }

        //Upon entering the numeric up-down, its maximum is set to the vertex count minus 1
        //(highest vertex index)
        private void onEnterNUD1(object sender, EventArgs e)
        {
            numericUpDown1.Maximum = vCount - 1;
        }
    }
}
